Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class DocumentAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.DocumentAdmin

    public class DocumentAdmin

extends java.lang.Object

The `DocumentAdmin.java` class - colleciton of Document admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_docTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`DocumentAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `checkinDocument(LibrarySession sess, ParameterTable params)` Section variant of checkinDocument
`void` | `checkinDocument(LibrarySession sess, java.lang.String contentpath, java.lang.String path)` Inline/internal variant of checkinDocument
`void` | `createDocument(LibrarySession sess, ParameterTable params)` Section variant of Create Document
`void` | `createDocument(LibrarySession sess, java.lang.String idname, DocumentDefinition def)` internal variant of Create Document
`void` | `createDocument(LibrarySession sess, java.lang.String idname, DocumentDefinition def, VersionDescriptionDefinition vddef)` internal variant of VERSIONED Create Document
`void` | `createDocument(LibrarySession sess, java.lang.String idname, java.lang.String nameToken)` inline variant of Create Document
`void` | `deleteDocument(LibrarySession sess, ParameterTable params)` Section variant of delete Document
`void` | `deleteDocument(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Delete Document
`void` | `deleteDocument(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Delete Document
`void` | `freeDocument(LibrarySession sess, ParameterTable params)` Section variant of Free Document
`void` | `freeDocument(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Free Document
`void` | `getContentToFile(LibrarySession sess, ParameterTable params)` Section variant of getContentToFile
`void` | `getContentToFile(LibrarySession sess, java.lang.String idname, java.lang.String filename)` internal variant of getContentToFile
`void` | `identifyDocument(LibrarySession sess, ParameterTable params)` Section variant of Identify Document
`void` | `identifyDocument(LibrarySession sess, java.lang.String idname, java.lang.Long id, java.lang.String name, java.lang.String valueDefaultName, java.lang.String path)` Inline/internal variant of Identify Document
`Document` | `lookupDocument(java.lang.String idname)`
`void` | `modifyDocument(LibrarySession sess, ParameterTable params)` Section variant of Modify Document
`void` | `modifyDocument(LibrarySession sess, java.lang.String idname, DocumentDefinition def)` internal variant of Modify Document
`void` | `reserveDocument(LibrarySession sess, ParameterTable params)` Section variant of Reserve Document
`void` | `reserveDocument(LibrarySession sess, java.lang.String path)` Inline/internal variant of Reserve Document
`void` | `showDocument(LibrarySession sess, Document doc)`
`void` | `showDocument(LibrarySession sess, ParameterTable params)` Section variant of showDocument
`void` | `showDocument(LibrarySession sess, java.lang.String docname)` Inline/internal variant of showDocument
`void` | `showDocumentReserveStatus(LibrarySession sess, ParameterTable params)` Section variant of showDocumentReserveStatus
`void` | `showDocumentReserveStatus(LibrarySession sess, java.lang.String path)` Inline/internal variant of showDocumentReserveStatus
`void` | `showLatestVersion(LibrarySession sess, java.lang.String path)`
`void` | `simpleFreeVersionedDocumentByPath(LibrarySession sess, ParameterTable params)`
`void` | `simpleGetVersionedDocument(LibrarySession sess, ParameterTable params)` Section variant of GetVersioned Document
`void` | `simpleGetVersionedDocument(LibrarySession sess, java.lang.String docPath, java.lang.String filename)` Internal variant of getVersiondeDocument.
`void` | `undeleteDocument(LibrarySession sess, ParameterTable params)` Section variant of undelete Document
`void` | `undeleteDocument(LibrarySession sess, java.lang.String idname)` Inline/internal variant of Undelete Document
`void` | `undeleteDocument(LibrarySession sess, java.lang.String idname, LibraryObjectDefinition def)` Inline/internal variant of Undelete Document
`void` | `unidentifyDocument(LibrarySession sess, ParameterTable params)` Section variant of Unidentify Document
`void` | `unreserveDocument(LibrarySession sess, ParameterTable params)` Section variant of Unreserve Document
`void` | `unreserveDocument(LibrarySession sess, java.lang.String path)` Inline/internal variant of Unreserve Document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_docTable

    protected java.util.Hashtable m_docTable

Constructor Detail

### DocumentAdmin

    public DocumentAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createDocument

    public void createDocument(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Create Document

  Throws:
    `IfsException`

### createDocument

    public void createDocument(LibrarySession sess,
                               java.lang.String idname,
                               java.lang.String nameToken)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  inline variant of Create Document

  Throws:
    `IfsException`

### createDocument

    public void createDocument(LibrarySession sess,
                               java.lang.String idname,
                               DocumentDefinition def)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  internal variant of Create Document

  Throws:
    `IfsException`

### createDocument

    public void createDocument(LibrarySession sess,
                               java.lang.String idname,
                               DocumentDefinition def,
                               VersionDescriptionDefinition vddef)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  internal variant of VERSIONED Create Document

  Throws:
    `IfsException`

### modifyDocument

    public void modifyDocument(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Modify Document

  Throws:
    `IfsException`

### modifyDocument

    public void modifyDocument(LibrarySession sess,
                               java.lang.String idname,
                               DocumentDefinition def)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  internal variant of Modify Document

  Throws:
    `IfsException`

### getContentToFile

    public void getContentToFile(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of getContentToFile

  Throws:
    `IfsException`

### getContentToFile

    public void getContentToFile(LibrarySession sess,
                                 java.lang.String idname,
                                 java.lang.String filename)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  internal variant of getContentToFile

  Throws:
    `IfsException`

### freeDocument

    public void freeDocument(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Free Document

  Throws:
    `IfsException`

### freeDocument

    public void freeDocument(LibrarySession sess,
                             java.lang.String idname)
                      throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Free Document

  Throws:
    `IfsException`

### deleteDocument

    public void deleteDocument(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of delete Document

  Throws:
    `IfsException`

### deleteDocument

    public void deleteDocument(LibrarySession sess,
                               java.lang.String idname)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Delete Document

  Throws:
    `IfsException`

### deleteDocument

    public void deleteDocument(LibrarySession sess,
                               java.lang.String idname,
                               LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Delete Document

  Throws:
    `IfsException`

### undeleteDocument

    public void undeleteDocument(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of undelete Document

  Throws:
    `IfsException`

### undeleteDocument

    public void undeleteDocument(LibrarySession sess,
                                 java.lang.String idname)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Undelete Document

  Throws:
    `IfsException`

### undeleteDocument

    public void undeleteDocument(LibrarySession sess,
                                 java.lang.String idname,
                                 LibraryObjectDefinition def)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Undelete Document

  Throws:
    `IfsException`

### identifyDocument

    public void identifyDocument(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Identify Document

  Throws:
    `IfsException`

### identifyDocument

    public void identifyDocument(LibrarySession sess,
                                 java.lang.String idname,
                                 java.lang.Long id,
                                 java.lang.String name,
                                 java.lang.String valueDefaultName,
                                 java.lang.String path)
                          throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Identify Document

  Throws:
    `IfsException`

### unidentifyDocument

    public void unidentifyDocument(LibrarySession sess,
                                   ParameterTable params)
                            throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Unidentify Document

  Throws:
    `IfsException`

### showDocument

    public void showDocument(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of showDocument

  Throws:
    `IfsException`

### showDocument

    public void showDocument(LibrarySession sess,
                             java.lang.String docname)
                      throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of showDocument

  Throws:
    `IfsException`

### lookupDocument

    public Document lookupDocument(java.lang.String idname)
                            throws IfsException

  Throws:
    `IfsException`

### showDocument

    public void showDocument(LibrarySession sess,
                             Document doc)
                      throws IfsException

  Throws:
    `IfsException`

### reserveDocument

    public void reserveDocument(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Reserve Document

  Throws:
    `IfsException`

### reserveDocument

    public void reserveDocument(LibrarySession sess,
                                java.lang.String path)
                         throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Reserve Document

  Throws:
    `IfsException`

### simpleGetVersionedDocument

    public void simpleGetVersionedDocument(LibrarySession sess,
                                           ParameterTable params)
                                    throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of GetVersioned Document

  Throws:
    `IfsException`

### simpleGetVersionedDocument

    public void simpleGetVersionedDocument(LibrarySession sess,
                                           java.lang.String docPath,
                                           java.lang.String filename)
                                    throws IfsException

  Description copied from class: `DocumentAdmin`
  Internal variant of getVersiondeDocument.

  Throws:
    `IfsException`

### unreserveDocument

    public void unreserveDocument(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of Unreserve Document

  Throws:
    `IfsException`

### unreserveDocument

    public void unreserveDocument(LibrarySession sess,
                                  java.lang.String path)
                           throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of Unreserve Document

  Throws:
    `IfsException`

### showDocumentReserveStatus

    public void showDocumentReserveStatus(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of showDocumentReserveStatus

  Throws:
    `IfsException`

### showDocumentReserveStatus

    public void showDocumentReserveStatus(LibrarySession sess,
                                          java.lang.String path)
                                   throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of showDocumentReserveStatus

  Throws:
    `IfsException`

### checkinDocument

    public void checkinDocument(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `DocumentAdmin`
  Section variant of checkinDocument

  Throws:
    `IfsException`

### checkinDocument

    public void checkinDocument(LibrarySession sess,
                                java.lang.String contentpath,
                                java.lang.String path)
                         throws IfsException

  Description copied from class: `DocumentAdmin`
  Inline/internal variant of checkinDocument

  Throws:
    `IfsException`

### showLatestVersion

    public void showLatestVersion(LibrarySession sess,
                                  java.lang.String path)
                           throws IfsException

  Throws:
    `IfsException`

### simpleFreeVersionedDocumentByPath

    public void simpleFreeVersionedDocumentByPath(LibrarySession sess,
                                                  ParameterTable params)
                                           throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD